{{!-- Action Type --}}
<div class="form-group select">
  <label>{{ localize "ACE.ItemActionType" }}</label>
  <select name="system.actionType">
    {{#select system.actionType}}
      <option value=""></option>
      {{#each config.itemActionTypes as |name type|}}
        <option value="{{type}}">{{name}}</option>
      {{/each}}
    {{/select}}
  </select>
</div>
{{#if system.actionType}}

  {{!-- Characteristic Modifier --}}
  <div class="form-group select">
    <label>{{ localize "ACE.CharacteristicModifier" }}</label>
    <select name="system.characteristic">
      {{#select system.characteristic}}
        <option value="">{{ localize "ACE.Default" }}</option>
        {{#each config.characteristics as |characteristic a|}}
          <option value="{{a}}">{{characteristic}}</option>
        {{/each}}
      {{/select}}
    </select>
  </div>

  {{!-- Attack Roll Bonus --}}
  {{#if hasAttackRoll }}
    <div class="form-group">
      <label>{{ localize "ACE.ItemAttackBonus" }}</label>
      <div class="form-fields">
        <input type="text" name="system.attackBonus" value="{{system.attackBonus}}" />
      </div>
    </div>
  {{/if}}

  {{!-- Exceptional Hit Threshold --}}
  {{#if hasAttackRoll }}
    <div class="form-group">
      <label>{{ localize "ACE.ItemCritThreshold" }}</label>
      <div class="form-fields">
        {{ numberInput system.exceptional.threshold name="system.exceptional.threshold" placeholder="6" max=6 min=1 step=1 }}
      </div>
    </div>
  {{/if}}

  {{!-- Exceptional Hit Damage --}}
  {{#if hasAttackRoll }}
    <div class="form-group">
      <label>{{ localize "ACE.ItemCritExtraDamage" }}</label>
      <div class="form-fields">
        <input type="text" name="system.exceptional.damage" value="{{system.exceptional.damage}}">
      </div>
    </div>
  {{/if}}

  {{!-- Damage Formula --}}
  <h4 class="damage-header">
    {{#unless isHealing }}{{ localize "ACE.Damage" }}{{ else }}{{ localize "ACE.Healing" }}{{/unless}}
    {{ localize "ACE.Formula" }}
    <a class="damage-control add-damage"><i class="fas fa-plus"></i></a>
  </h4>
  <ol class="damage-parts form-group">
    {{#each system.damage.parts as |part i| }}
      <li class="damage-part flexrow" data-damage-part="{{i}}">
        <input type="text" name="system.damage.parts[{{i}}].roll" value="{{part.roll}}" />
        <select name="system.damage.parts[{{i}}].type">
          {{#select part.type }}
            <option value="">{{ localize "ACE.None" }}</option>
            {{#each ../config.damageTypes as |name type|}}
              <option value="{{type}}">{{name}}</option>
            {{/each}}
            {{#each ../config.healingTypes as |name type|}}
              <option value="{{type}}">{{name}}</option>
            {{/each}}
          {{/select}}
        </select>
        <a class="damage-control delete-damage"><i class="fas fa-minus"></i></a>
      </li>
    {{/each}}
  </ol>

  {{!-- Versatile Damage --}}
  {{#if system.damage.parts.length }}
    <div class="form-group">
      <label>{{ localize "ACE.VersatileDamage" }}</label>
      <div class="form-fields">
        <input type="text" name="system.damage.versatile" value="{{system.damage.versatile}}"
          placeholder="{{ localize 'ACE.Formula' }}" />
      </div>
    </div>
  {{/if}}

  {{!-- Other Formula --}}
  <div class="form-group">
    <label>{{ localize "ACE.OtherFormula" }}</label>
    <div class="form-fields">
      <input type="text" name="system.formula" value="{{system.formula}}" placeholder="{{ localize 'ACE.Formula' }}" />
    </div>
  </div>

  {{!-- Saving Throw --}}
  <div class="form-group input-select">
    <label>{{ localize "ACE.ActionSave" }}</label>
    <div class="form-fields">
      <select name="system.save.characteristic">
        {{#select system.save.characteristic}}
          <option value=""></option>
          {{#each config.characteristics as |characteristic a|}}
            <option value="{{a}}">{{characteristic}}</option>
          {{/each}}
        {{/select}}
      </select>
      <span>{{ localize "ACE.VsDC" }}</span>
      <input type="number" step="any" name="system.save.dc" value="{{#if system.save.dc}}{{system.save.dc}}{{/if}}"
        placeholder="{{ localize 'ACE.AbbreviationDC' }}" {{#unless isFlatDC}}disabled{{/unless}}>
      <select name="system.save.scaling">
        {{#select system.save.scaling}}
          <option value="spell">{{ localize "ACE.Spellcasting" }}</option>
          {{#each config.characteristics as |characteristic a|}}
            <option value="{{a}}">{{characteristic}}</option>
          {{/each}}
          <option value="flat">{{ localize "ACE.Flat" }}</option>
        {{/select}}
      </select>
    </div>
  </div>

  {{!-- Chat Message Flavor --}}
  <div class="form-group stacked">
    <label>{{ localize "ACE.ChatFlavor" }}</label>
    <input type="text" name="system.flavor" value="{{system.flavor}}" />
  </div>
{{/if}}